import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RouteReuseStrategy } from '@angular/router';

import { IonicModule, IonicRouteStrategy } from '@ionic/angular';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { provideHttpClient } from '@angular/common/http'; // 引用HttpClient方法
import { Diagnostic } from '@awesome-cordova-plugins/diagnostic/ngx'; // 引用移动端授权检测供应器
import Parse from "parse";// 设置Parse服务属性
import { SwiperModule } from 'swiper/angular'; // 导入 SwiperModule
Parse.initialize("ncloudmaster");
Parse.serverURL = "https://server.fmode.cn/parse";
localStorage.setItem("NOVA_APIG_SERVER", 'aHR0cHMlM0ElMkYlMkZzZXJ2ZXIuZm1vZGUuY24lMkZhcGklMkZhcGlnJTJG')
// 注意：替换Token 根据Token设置Parse服务帐套权限
Parse.User.become('r:b86ae57d94d26cbbfce6a1515c3946ee')
@NgModule({
  declarations: [AppComponent],
  imports: [BrowserModule, IonicModule.forRoot(), AppRoutingModule, SwiperModule],
  providers: [
    // 添加HttpClient供应器
    provideHttpClient(),
    // 添加Diagnostic
    Diagnostic,
    { provide: RouteReuseStrategy, useClass: IonicRouteStrategy }
  ],
  bootstrap: [AppComponent],
})
export class AppModule {}